Get a contact
Returns a single contact by id, including bounce and unsubscribe state. To resolve an id from an email address, use the contact list with its exact email filter.
GET
/v2/ accounts/ {accountId}/ contacts/ {contactId}Path parameters
accountIdstringrequired
The account the request is scoped to.
contactIdstringrequired
Response
The contact.
Errors
401
Missing or invalid token, or the token is not authorized for this account/user.
404
The requested resource does not exist.
See Errors and rate limits for what error responses look like.
curl --location --request GET 'https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/contacts/YOUR_CONTACT_ID' \
--header 'Authorization: Bearer YOUR_API_TOKEN'
const res = await fetch('https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/contacts/YOUR_CONTACT_ID', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.SENDSTREAK_TOKEN}`
}
});
import os, requests
res = requests.get(
'https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/contacts/YOUR_CONTACT_ID',
headers={'Authorization': f"Bearer {os.environ['SENDSTREAK_TOKEN']}"},
)
{
"_id": "665f0a2b1c9d440012ab34cd",
"email": "[email protected]",
"createDate": "2026-07-07T09:30:00.000Z",
"hardBounced": "2026-07-07T09:30:00.000Z",
"complaintDate": "2026-07-07T09:30:00.000Z",
"unsubscribeDate": "2026-07-07T09:30:00.000Z",
"topicUnsubscriptions": [
"6651dd2e4f9b110014ab90cd"
]
}